%define name	dyalog-sqlite
%define version 1.0.0
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DyAlog SQLITE module
License:	GPL
Group:		Sciences/Computer science
Source:		ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/TAG/%{name}-%{version}.tar.bz2
Url:		http://atoll.inria.fr/packages/packages.html#dyalog-xml
BuildRequires:	dyalog
BuildRequires:	sqlite3-devel
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
A DyALog module providing predicates over SQLITE3 API. This module, while very
preliminary, may be used to create and access sqlite3 databases, for instance
lexicons or lexical preference databases.

%prep
%setup -q

%build
export CPPFLAGS=-I%{_libdir}/DyALog
export LDFLAGS=-L%{_libdir}/DyALog
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -d -m 755 %{buildroot}%{_libdir}/pkgconfig
mv %{buildroot}%{_libdir}/DyALog/%{name}/%{name}.pc %{buildroot}%{_libdir}/pkgconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README
%{_libdir}/DyALog/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-1mdk
- first mdk release
